%global po_package cinnamon-session-3.0
%global _date 20241127

Summary: Cinnamon session manager
Name:    cinnamon-session
Version: 6.4.0
Release: %mkrel 2
URL:     http://cinnamon.linuxmint.com

Source0: https://github.com/linuxmint/cinnamon-session/archive/%{version}.tar.gz#/cinnamon-session-%{version}.tar.gz
License: GPLv2+ and LGPLv2+
Group:   Graphical desktop/Cinnamon

#Requires: system-logos
# Needed for cinnamon-settings-daemon
#Requires: cinnamon-control-center-filesystem

Requires: gsettings-desktop-schemas >= 0.1.7

# pull in dbus-x11, see bug 209924
Requires: dbus-x11

# we need an authentication agent in the fallback session
Requires: polkit-gnome
Requires: cinnamon-translations >= 3.6.0

BuildRequires: pkgconfig(gtk+-3.0) >= 2.99.0
BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(gnome-keyring-1)
BuildRequires: pkgconfig(libnotify) >= 0.7.0
BuildRequires: pkgconfig(pango)
BuildRequires: pkgconfig(cinnamon-settings-daemon) >= 2.8.0
BuildRequires: desktop-file-utils
BuildRequires: pkgconfig(xau)
BuildRequires: pkgconfig(xrandr)
BuildRequires: pkgconfig(xtrans)
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(librsvg-2.0)
BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(gconf-2.0)

# this is so the configure checks find /usr/bin/halt etc.
BuildRequires: usermode

BuildRequires: pkgconfig(pango)
BuildRequires: intltool
BuildRequires: gnome-common
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xt)
BuildRequires: pkgconfig(xtst)
BuildRequires: xmlto
BuildRequires: pkgconfig(upower-glib)
BuildRequires: pkgconfig(libsystemd)
BuildRequires: pkgconfig(polkit-gobject-1)
BuildRequires: pkgconfig(libcanberra)
BuildRequires: pkgconfig(xapp)
BuildRequires: meson
BuildRequires: cmake
BuildRequires: pkgconfig(cinnamon-desktop)

# an artificial requires to make sure we get dconf, for now
Requires: dconf

%description
Cinnamon-session manages a Cinnamon desktop or GDM login session. It starts up
the other core components and handles logout and saving the session.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%post
/usr/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  /usr/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
  /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
  /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :

%files
%doc AUTHORS COPYING README
%doc %{_mandir}/man*/*
%{_bindir}/*
%{_libexecdir}/cinnamon-session-check-accelerated
%{_libexecdir}/cinnamon-session-check-accelerated-helper
%{_libexecdir}/cinnamon-session-binary
%{_datadir}/cinnamon-session/
%{_datadir}/icons/hicolor/*/apps/cinnamon-session-properties.png
%{_datadir}/icons/hicolor/scalable/apps/cinnamon-session-properties.svg
%{_datadir}/glib-2.0/schemas/org.cinnamon.SessionManager.gschema.xml



%changelog
* Tue Jul 08 2025 umeabot <umeabot> 6.4.0-2.mga10
+ Revision: 2251293
- Mageia 10 Mass Rebuild

* Fri Apr 11 2025 joequant <joequant> 6.4.0-1.mga10
+ Revision: 2174770
- update to 6.4.0

* Tue Jul 30 2024 joequant <joequant> 6.2.1-1.mga10
+ Revision: 2082895
- update to 6.2

* Sun Dec 03 2023 joequant <joequant> 6.0.1-1.mga10
+ Revision: 2012750
- update to 6.0.0
- update to 6.0.1

* Sat Sep 02 2023 joequant <joequant> 5.8.1-1.mga10
+ Revision: 1983622
- update to 5.8.1

* Sat Nov 19 2022 joequant <joequant> 5.6.0-1.mga9
+ Revision: 1908991
- update to 5.6.0
- update to 5.4.0

* Sun Jul 03 2022 joequant <joequant> 5.4.0-1.mga9
+ Revision: 1867146
- update to 5.4.0

* Sun Apr 03 2022 umeabot <umeabot> 5.2.0-2.mga9
+ Revision: 1841731
- Mageia 9 Mass Rebuild

* Wed Nov 24 2021 joequant <joequant> 5.2.0-1.mga9
+ Revision: 1758976
- update to 5.2.0

* Wed Jun 02 2021 joequant <joequant> 5.0.0-1.mga9
+ Revision: 1729187
- update to 5.0.0

* Tue Dec 08 2020 joequant <joequant> 4.8.0-1.mga8
+ Revision: 1654535
- update to 4.8.0

* Wed Sep 30 2020 joequant <joequant> 4.6.2-1.mga8
+ Revision: 1631324
- update to 4.6.2

* Fri Aug 07 2020 joequant <joequant> 4.6.1-1.mga8
+ Revision: 1611667
- update to 4.6.1
- update to 4.6.1

* Sat May 16 2020 joequant <joequant> 4.6.0-1.mga8
+ Revision: 1584261
- update to 4.6.0

* Tue Feb 18 2020 umeabot <umeabot> 4.4.0-2.mga8
+ Revision: 1539583
- Mageia 8 Mass Rebuild

* Mon Dec 09 2019 joequant <joequant> 4.4.0-1.mga8
+ Revision: 1465295
- fix gconf depedency
- upgrade to 4.4.0

* Tue Jul 30 2019 joequant <joequant> 4.2.1-1.mga8
+ Revision: 1425320
- update to 4.2.1
- set up cinnamon-session

* Wed Apr 17 2019 umeabot <umeabot> 4.0.0-2.mga7
+ Revision: 1392138
- Rebuild with meson 0.50.1

* Mon Nov 05 2018 joequant <joequant> 4.0.0-1.mga7
+ Revision: 1328557
- upgrade to 4.0.0

* Sat Sep 22 2018 umeabot <umeabot> 3.8.1-2.mga7
+ Revision: 1296247
- Mageia 7 Mass Rebuild

* Sun Apr 29 2018 joequant <joequant> 3.8.1-1.mga7
+ Revision: 1223553
- add build requires
- fix build requires
- fix spec
- upgrade to 3.8.0

* Sat Mar 17 2018 joequant <joequant> 3.6.1-1.mga7
+ Revision: 1210165
- update to 3.6.1

* Wed Nov 01 2017 joequant <joequant> 3.6.0-1.mga7
+ Revision: 1175379
- update to 3.6.0

* Mon Jul 17 2017 joequant <joequant> 3.4.1-1.mga7
+ Revision: 1123994
- upgrade to 3.4.1

* Mon Jan 23 2017 joequant <joequant> 3.2.0-1.mga6
+ Revision: 1083156
- upgrade to 3.2.0

* Mon May 23 2016 joequant <joequant> 3.0.1-2.mga6
+ Revision: 1017883
- upgrade to 3.0.1

* Sun May 22 2016 joequant <joequant> 3.0.1-1.mga6
+ Revision: 1017488
- upgrade to 3.0.1

* Tue May 03 2016 joequant <joequant> 3.0.0-1.mga6
+ Revision: 1008856
- upgrade to 3.0.0

* Sat Feb 13 2016 umeabot <umeabot> 2.8.0-2.mga6
+ Revision: 959724
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 joequant <joequant> 2.8.0-1.mga6
+ Revision: 893693
- upgrade to 2.8.0

* Tue Oct 20 2015 joequant <joequant> 2.6.3-3.mga6
+ Revision: 893020
- add docdir

* Fri Jun 26 2015 joequant <joequant> 2.6.3-2.mga6
+ Revision: 844309
- upgrade 2.6
- upgrade to 2.6

* Tue Jun 23 2015 joequant <joequant> 2.4.2-2.mga6
+ Revision: 841150
- add 3.16 patches

* Thu Nov 27 2014 joequant <joequant> 2.4.2-1.mga5
+ Revision: 799535
- upgrade to 2.4.2

* Sun Nov 23 2014 joequant <joequant> 2.4.1-1.mga5
+ Revision: 798403
- upgrade to 2.4

* Wed Oct 15 2014 umeabot <umeabot> 2.2.2-5.mga5
+ Revision: 743354
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.2-4.mga5
+ Revision: 678400
- Mageia 5 Mass Rebuild

* Fri Sep 05 2014 joequant <joequant> 2.2.2-3.mga5
+ Revision: 672200
- remove polkit-desktop-policy requires

* Thu Sep 04 2014 joequant <joequant> 2.2.2-2.mga5
+ Revision: 671943
- rebuild with new systemd

* Sat Aug 30 2014 joequant <joequant> 2.2.2-1.mga5
+ Revision: 669423
- update to 2.2.2

* Thu May 15 2014 joequant <joequant> 2.2.1-1.mga5
+ Revision: 622874
- upgrade to 2.2.1

* Sat Apr 19 2014 joequant <joequant> 2.2.0-1.mga5
+ Revision: 616932
- upgrade to 2.2
- upgrade to 2.2

* Sun Mar 30 2014 joequant <joequant> 2.0.6-4.mga5
+ Revision: 610659
- upgrade to upower 1.0
+ dams <dams>
- rebuild for new upower

* Wed Jan 08 2014 joequant <joequant> 2.0.6-2.mga4
+ Revision: 565561
- push to core/release

* Wed Jan 01 2014 joequant <joequant> 2.0.6-1.mga4
+ Revision: 563808
- upgrade to 2.0.6
- upgrade to 2.0.6

* Tue Dec 03 2013 colin <colin> 2.0.1-3.mga4
+ Revision: 554783
- Switch to mate-polkit for the fallback session authentication agent.

* Tue Oct 22 2013 umeabot <umeabot> 2.0.1-2.mga4
+ Revision: 542046
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 joequant <joequant> 2.0.1-1.mga4
+ Revision: 496767
- upgrade to 2.0.1

* Mon Oct 07 2013 joequant <joequant> 2.0.0-1.mga4
+ Revision: 492666
- fix patches
- update to 2.0.0

* Tue Oct 01 2013 joequant <joequant> 1.9.2-1.mga4
+ Revision: 490050
- update to 1.9.2

* Fri Aug 23 2013 joequant <joequant> 1.0.0-0.2.git58710ea.mga4
+ Revision: 470132
- fix requires

* Fri Aug 23 2013 joequant <joequant> 1.0.0-0.1.git58710ea.mga4
+ Revision: 470046
- imported package cinnamon-session

